MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024557Open CASCADE[OCCT] OCCT:WOKpublic2014-01-22 19:012014-11-11 12:52
Reporterabv 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024557: Improve formatting of HXX files generated by WOK
DescriptionBefore WOK is eliminated, we need to improve formatting of header files generated by WOK from CDL files so as to make them more readable and convenient for the future maintenance as source files:

- avoid wrapping each #include statement into #ifdef -- this wrapping was intended to increase performance of compilation by preventing repetitive opening of include file, but modern compilers are optimized to handle this with plain #include and include guards inside header file (see discussions on #pragma once in Internet, e.g. http://rg3.name/201310161729.html [^])

- add newline after each method declaration

- apply OCCT formatting rules (perhaps use Uncrustify to format; the old draft version of the config file attached, to be revised)
TagsNo tags attached.
Test case number
Attached Files? file icon uncrustify-occt.cfg (4,184 bytes) 2014-01-22 19:01

- Relationships
parent of 0016488closedabv WOK extractor incorrectly treats documentation comments with several Purpose clauses 
parent of 0024974closedapn GCC compiler warnings 'backslash inside comment' 
related to 0024737closedbugmaster Coding - remove "br" tags from header files 
related to 0024740closedkgv WOK headers generation - improve syntax 
child of 0024002closedabv Overall code and build procedure refactoring 

-  Notes
(0028268)
abv (manager)
2014-03-14 08:32

I have pushed commit removing #ifdef's around #includes in generated header files to branch CR24557 in WOK. The same change in CXX, GXX, LXX files is pushed to CR24557 branch in OCCT repo.

There is some downgrade of performance of compilation: now I get full OCCT build on my machine in 37 min while before that fix it was 35 min. I suppose this expense of code being more maintainable (avoid duplicate ids) can be afforded.
(0028319)
kgv (developer)
2014-03-18 11:53

Patch CR24557_1 can be integrated after testing.
(0028347)
bugmaster (administrator)
2014-03-19 12:32

Fix has been integrated into master of occt-wok repository

- Issue History
Date Modified Username Field Change
2014-01-22 19:01 abv New Issue
2014-01-22 19:01 abv Assigned To => kgv
2014-01-22 19:01 abv File Added: uncrustify-occt.cfg
2014-01-22 19:02 abv Relationship added child of 0024002
2014-03-14 08:32 abv Note Added: 0028268
2014-03-14 08:32 abv Status new => assigned
2014-03-18 11:53 kgv Note Added: 0028319
2014-03-18 11:53 kgv Assigned To kgv => bugmaster
2014-03-18 11:53 kgv Status assigned => feedback
2014-03-19 12:30 bugmaster Status feedback => tested
2014-03-19 12:32 bugmaster Note Added: 0028347
2014-03-19 12:32 bugmaster Status tested => verified
2014-03-19 12:32 bugmaster Resolution open => fixed
2014-03-19 12:32 bugmaster Assigned To bugmaster => kgv
2014-03-19 14:13 kgv Relationship added related to 0024737
2014-03-19 15:51 kgv Relationship added related to 0024740
2014-04-04 11:54 abv Target Version 6.7.1 => 6.8.0
2014-05-05 09:08 kgv Relationship added related to 0016488
2014-05-05 09:08 kgv Relationship replaced parent of 0016488
2014-05-29 16:38 abv Relationship added parent of 0024974
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker